Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.analyser.engine
Class SyntaxPoint.End

    java.lang.Object
      org.makumba.analyser.engine.SyntaxPoint
          org.makumba.analyser.engine.SyntaxPoint.End

All Implemented Interfaces:
  Comparable<SyntaxPoint>

Enclosing class:
  SyntaxPoint

    public static class SyntaxPoint.End

extends SyntaxPoint

A simple implementation: ends of strings marked by other syntax points

Author:
  Cristian Bogdan

Nested Class Summary

Nested classes/interfaces inherited from class org.makumba.analyser.engine.SyntaxPoint
`SyntaxPoint.End`

Field Summary
`(package private) SyntaxPoint` | `_begin`

Fields inherited from class org.makumba.analyser.engine.SyntaxPoint
`begin, column, line, offset, position, sourceFile`

Constructor Summary
`SyntaxPoint.End(SyntaxPoint begin, int position)` constructor

Method Summary
`Object` | `getOtherInfo()` returns the begining
`String` | `getType()` returns same type as the begining

Methods inherited from class org.makumba.analyser.engine.SyntaxPoint
`compareTo, equals, getColumn, getFile, getIncludeOffset, getLine, getOriginalColumn, getOriginalPosition, getPosition, getSourceSyntaxPoints, hashCode, isBegin, makeEnd, moveByInclude, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _begin

    SyntaxPoint _begin

Constructor Detail

### SyntaxPoint.End

    public SyntaxPoint.End(SyntaxPoint begin,
                           int position)

  constructor

Method Detail

### getOtherInfo

    public Object getOtherInfo()

  returns the begining

  Overrides:
    `getOtherInfo` in class `SyntaxPoint`

### getType

    public String getType()

  returns same type as the begining

  Specified by:
    `getType` in class `SyntaxPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20